#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( interfaces )
add_subdirectory( libdiff2 )
add_subdirectory( libdialogpages )
add_subdirectory( komparenavtreepart )
add_subdirectory( komparepart )
add_subdirectory( pics )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/libdiff2
  ${CMAKE_CURRENT_SOURCE_DIR}/libdialogpages
  ${CMAKE_CURRENT_SOURCE_DIR}/komparenavtreepart
  ${CMAKE_CURRENT_SOURCE_DIR}/komparepart
  ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kompare.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kompareui.rc DESTINATION ${DATA_INSTALL_DIR}/kompare )

install( FILES
    komparenavigationpart.desktop kompareviewpart.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )


##### kompare (executable) ######################

tde_add_executable( kompare AUTOMOC
  SOURCES
    main.cpp kompare_shell.cpp kompareurldialog.cpp
  LINK
    dialogpages-static kompareinterface-shared tdeio-shared
    tdeparts-shared tdetexteditor-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
